No Valid OpenPGP data found error while adding gpg key


#1

i’m running stretch lite and using the raspberry pi 2 b.

do i need to be running Jessie?


#2

No, stretch works the same. Perhaps there is an issue with mopidy.com. Any ideas @jodal?


#3

Looks like I was wrong, it seems that usage of apt-key in stretch has changed (deprecated?). I think you might be able to use the command as is if you first install gnupg as suggest at https://manpages.debian.org/stretch/apt/apt-key.8.en.html. Alternatively there are some workarounds at https://serverfault.com/a/860031 and https://www.reddit.com/r/debian/comments/6dwicb/apt_aptkey_on_stretch_broken/.

I don’t remember running into this problem on my test of Stretch Raspbian Lite a few weeks ago but perhaps I installed gnupg first.